
  <div class="dietContainer">

    <div class="dietHeading">
      <h1>Dietary Preference</h1>
    </div>

    <div>
      <img class="dietPic" src="../../../assets/Images/food_plate.png" alt="">
    </div>

    <div>
        <mat-form-field class="selectDiet">
          <mat-label>Diet</mat-label>
          <mat-select #d [(ngModel)]="selectedDiet" (ngModelChange)="saveDiet()">
            <mat-option value="NONE">None</mat-option>
            <mat-option value="VEGAN">Vegan</mat-option>
            <mat-option value="VEGETARIAN">Vegetarian</mat-option>
            <mat-option value="PESCETARIAN">Pescetarian</mat-option>
          </mat-select>
        </mat-form-field>
    </div>


  </div>




<!--  <select #d (change)="saveDiet(d.value)">-->
<!--    <option value="NONE">None</option>-->
<!--    <option value="VEGAN">Vegan</option>-->
<!--    <option value="VEGETARIAN">Vegetarian</option>-->
<!--    <option value="PESCETARIAN">Pescetarian</option>-->
<!--  </select>-->
